Page MenuHomePhabricator

Conflicting layout blocks causes duplication of music
Closed, ResolvedPublic

Description

Author: molly.white5

Description:
Adding the following snippet:

\layout {
  indent = 2\cm
}

to a page causes the staff to be duplicated; the first time with the indentation, the second time without. You can see an example of this at http://en.wikisource.org/w/index.php?title=Page:Sonata_quasi_una_fantasia.pdf/2&oldid=4404985. I tried to find a bug like this in the Lilypond bug tracker, but didn't see anything, so I assume the issue is with this extension.


Version: master
Severity: normal

Details

Event Timeline

bzimport raised the priority of this task from to Normal.
bzimport set Reference to bz47616.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Apr 24 2013, 4:06 PM

molly.white5 wrote:

I've discovered that using raw Lilypond syntax with raw="1" set allows indentation normally. Still, I find it odd that without raw, the layout function causes this output, not an error.

drosen27 wrote:

I'm having the same issue, but when I use raw="1", I get the error reported in [https://bugzilla.wikimedia.org/show_bug.cgi?id=47703 bug 47703]--even after adding a \midi {} block (as [https://bugzilla.wikimedia.org/show_bug.cgi?id=48356 bug 48356]'s reporter suggests. Anyone have any tips on how to get around this?

drosen27 wrote:

(In reply to comment #2)

I'm having the same issue, but when I use raw="1", I get the error reported
in
[https://bugzilla.wikimedia.org/show_bug.cgi?id=47703 bug 47703]--even after
adding a \midi {} block (as
[https://bugzilla.wikimedia.org/show_bug.cgi?id=48356 bug 48356]'s reporter
suggests. Anyone have any tips on how to get around this?

Apparently the markup language here isn't the same as that used on Wikipedia... oops...

Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:39 PM
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptSep 4 2015, 6:39 PM
Ebe123 renamed this task from Indenting staves causes the staff to be duplicated (works with raw="1") to Conflicting layout blocks causes duplication of music.Aug 8 2017, 7:23 PM
Ebe123 added a subscriber: Ebe123.

It seems the reason for this behaviour is that when not using raw, the Extension automatically integrates the code with a wrapper, which includes a \paper {} block. With that and a \layout {} block, Lilypond does not know which one should override. I do agree this is an odd behaviour of the typesetter, and I've submitted an email to their bug mailing list: http://lists.gnu.org/archive/html/bug-lilypond/2017-08/msg00007.html

Change 371211 had a related patch set uploaded (by Ebe123; owner: Ebe123):
[mediawiki/extensions/Score@master] Create hybrid-raw mode

https://gerrit.wikimedia.org/r/371211

Ebe123 claimed this task.Aug 10 2017, 11:50 PM
Ebe123 moved this task from Backlog to In Progress on the MediaWiki-extensions-Score board.
Ebe123 removed a subscriber: wikibugs-l-list.

It was by-design on the Lilypond end, but it is a bit odd here, I admit.

Change 371211 merged by jenkins-bot:
[mediawiki/extensions/Score@master] Create hybrid-raw mode

https://gerrit.wikimedia.org/r/371211